SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Associazione cultura e formazione (Nino Palomba)



---- Richiesta effettuata su info

---- Voci copiate dalla 4015

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('4073', '40', '1', '0', NULL, NULL, NULL, 'Indennità di frequenza corso formazione', 'Indenn. frequenza corso formazione', NULL, NULL, '1', NULL, NULL, NULL, NULL, '0', NULL, '0', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0');

COMMIT WORK; -- skip error

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('4074', '40', '1', '0', NULL, NULL, NULL, 'Borsa di studio', 'Borsa di studio', NULL, NULL, '1', NULL, NULL, NULL, NULL, '0', NULL, '0', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0');

COMMIT WORK; -- skip error



-- END Associazione cultura e formazione (Nino Palomba)



-- Maggiorazione richiesta telefonicamente da Meccanica Finanziaria

INSERT INTO CONTRATTOMAGGIORAZIONE (IDMAGGIORAZIONE, IDCONTRATTODETTAGLIO, IDTIPOELEMENTO, IDTIPOLAVORATORE2, LIMITEOREANNO, LIMITEOREMESE, LIMITEORESETTIMANA, LIMITEOREGIORNO, IMPORTO, IDBASEIMPONIBILE, MAGGIORAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL, NOTE) VALUES ('12', '117', '56', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0.250000', 'Lavoro supplementare', NULL, NULL, '');

COMMIT WORK; -- skip error



-- Aggiornamento descrizioni tipo contribuzione per evitare errori agli utenti



UPDATE INPS_TIPOCONTRIBUZIONE SET DESCRIZIONE = 'Lav. all''estero - Versamento del contributo per l''assicurazione contro la Disoccupazione (DS), per i lavoratori trasferiti in Paesi extracomunitari con i quali vigono accordi parziali di sicurezza sociale.(Circ. INPS n. 87/1994)' WHERE IDINPSTIPOCONTRIBUZIONE = '04';

UPDATE INPS_TIPOCONTRIBUZIONE SET DESCRIZIONE = 'Lav. all''estero - Versamento del contributo Mobilità per i lavoratori trasferiti in Paesi extracomunitari con i quali vigono accordi parziali di sicurezza sociale. (Circ. INPS n. 87/1994)' WHERE IDINPSTIPOCONTRIBUZIONE = '05';

UPDATE INPS_TIPOCONTRIBUZIONE SET DESCRIZIONE = 'Lav. all''estero - Versamento del contributo per il Fondo di garanzia (TFR), per i lavoratori trasferiti in Paesi extracomunitari con i quali vigono accordi parziali di sicurezza sociale. (Circ. INPS n. 87/1994)' WHERE IDINPSTIPOCONTRIBUZIONE = '06';

UPDATE INPS_TIPOCONTRIBUZIONE SET DESCRIZIONE = 'Lav. all''estero - Versamento del contributo per la Cassa Unica Assegni Familiari (CUAF), per i lavoratori trasferiti in Paesi extracomunitari con i quali vigono accordi parziali di sicurezza sociale.(Circ. INPS n. 87/1994)' WHERE IDINPSTIPOCONTRIBUZIONE = '07';

UPDATE INPS_TIPOCONTRIBUZIONE SET DESCRIZIONE = 'Lav. all''estero - Versamento del contributo per l''Indennità economica di Malattia per i lavoratori trasferiti in Paesi extracomunitari con i quali vigono accordi parziali di sicurezza sociale.(Circ. INPS n. 87/1994)' WHERE IDINPSTIPOCONTRIBUZIONE = '08';

UPDATE INPS_TIPOCONTRIBUZIONE SET DESCRIZIONE = 'Lav. all''estero - Versamento del contributo per l''Indennità economica di Maternità per i lavoratori trasferiti in Paesi extracomunitari con i quali vigono accordi parziali di sicurezza sociale.(Circ. INPS n. 87/1994)' WHERE IDINPSTIPOCONTRIBUZIONE = '09';

COMMIT WORK;



-- END Aggiornamento descrizioni tipo contribuzione per evitare errori agli utenti





-- Nascondo Elementoretributivo 1138

UPDATE ELEMENTORETRIBUTIVO SET NASCOSTO = '1' WHERE IDELEMENTO = '1138';



-- Tredicesima per Colf

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, NASCOSTO, NOTE, CUSTOM, GRUPPO) VALUES ('1147', '11', '1', '0', NULL, NULL, NULL, 'Tredicesima (lavoro domestico)', 'Tredicesima', NULL, NULL, '1', '1.000000', NULL, NULL, NULL, '1', '1.000000', '0', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0', NULL);

COMMIT WORK; -- skip error

-- Associazione cultura e formazione (Nino Palomba)

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('4073', '40', '1', '0', NULL, NULL, NULL, 'Indennità di frequenza corso formazione', 'Indenn. frequenza corso formazione', NULL, NULL, '1', NULL, NULL, NULL, NULL, '0', NULL, '0', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0');

COMMIT WORK; -- skip error

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('4074', '40', '1', '0', NULL, NULL, NULL, 'Borsa di studio', 'Borsa di studio', NULL, NULL, '1', NULL, NULL, NULL, NULL, '0', NULL, '0', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0');

COMMIT WORK; -- skip error

-- Maggiorazione richiesta telefonicamente da Meccanica Finanziaria

INSERT INTO CONTRATTOMAGGIORAZIONE (IDMAGGIORAZIONE, IDCONTRATTODETTAGLIO, IDTIPOELEMENTO, IDTIPOLAVORATORE2, LIMITEOREANNO, LIMITEOREMESE, LIMITEORESETTIMANA, LIMITEOREGIORNO, IMPORTO, IDBASEIMPONIBILE, MAGGIORAZIONE, DESCRIZIONE, VALIDODAL, VALIDOAL, NOTE) VALUES ('12', '117', '56', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0.250000', 'Lavoro supplementare', NULL, NULL, '');

COMMIT WORK; -- skip error

-- Voce rimborso bollette (Fabio Giambarioli)

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('4206', '42', '1', '0', NULL, NULL, NULL, 'Rimborso bollette', 'Rimborso bollette', NULL, '0.000000', '0', '0.000000', NULL, '0', NULL, '0', '0.000000', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, '0');

COMMIT WORK; -- skip error

-- Commento personalizzato

---- Richiesto telefonicamente da Associazione cultura e formazione (Nino Palomba)

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('1002', '10', '3', '0', NULL, NULL, NULL, 'Commento personalizzato', 'Commento personalizzato', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0');

COMMIT WORK; -- skip error

-- Fringe benefits esente irpef

---- Richiesto da Stampacchia (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14186)

---- Copiata da 7101 (modificato il flag ricorrente)

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('7105', '71', '1', '0', NULL, NULL, NULL, 'Fringe benefits non soggetto a irpef', 'Fringe benefits non sogg. a irpef', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, '0');

COMMIT WORK; -- skip error





-- Aggiornamento dettaglio 88

---- Richiesto da Meccanica finanziaria (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=14193)



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'A3', '5', '01.10.2023', '1809.730000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'B3', '5', '01.10.2023', '1810.370000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'C3', '5', '01.10.2023', '1811.010000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'D2', '5', '01.10.2023', '1761.100000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'E2', '5', '01.10.2023', '1761.730000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'F2', '5', '01.10.2023', '1762.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'G1', '5', '01.10.2023', '1700.240000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'H1', '5', '01.10.2023', '1707.080000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'I0-6', '5', '01.10.2023', '1497.300000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'I', '5', '01.10.2023', '1578.970000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'L0-6', '5', '01.10.2023', '1497.30000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'L7-15', '5', '01.10.2023', '1578.970000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'L', '5', '01.10.2023', '1619.80000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'Q', '5', '01.10.2023', '2323.480000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '1', '5', '01.10.2023', '2182.070000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '2', '5', '01.10.2023', '2004.580000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '3', '5', '01.10.2023', '1761.690000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '3S', '5', '01.10.2023', '1810.370000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '4J', '5', '01.10.2023', '1632.020000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '4', '5', '01.10.2023', '1675.690000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '5', '5', '01.10.2023', '1597.70000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '6J', '5', '01.10.2023', '1373.620000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '6', '5', '01.10.2023', '1493.280000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



-- END Aggiornamento dettaglio 88



-- Aggiornamento dettaglio 411

---- Richiesto da Fabio Giambarioli (https://ticket.iubar.it/otrs/index.pl?Action=AgentTicketZoom;TicketID=14197)



---- Decorrenza dal 01/01/2023

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', 'Q', '5', '01.01.2023', '1881.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '1', '5', '01.01.2023', '1701.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '2', '5', '01.01.2023', '1511.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '3', '5', '01.01.2023', '1421.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '4S2', '5', '01.01.2023', '1381.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '4', '5', '01.01.2023', '1321.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '5S', '5', '01.01.2023', '1261.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '5.3', '5', '01.01.2023', '1221.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '6', '5', '01.01.2023', '1161.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '7', '5', '01.01.2023', '1081.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



---- Decorrenza dal 01/07/2024

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', 'Q', '5', '01.07.2024', '1922.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '1', '5', '01.07.2024', '1742.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '2', '5', '01.07.2024', '1552.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '3', '5', '01.07.2024', '1462.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '4S2', '5', '01.07.2024', '1422.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '4', '5', '01.07.2024', '1362.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '5S', '5', '01.07.2024', '1302.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '5.3', '5', '01.07.2024', '1262.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '6', '5', '01.07.2024', '1202.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('411', '7', '5', '01.07.2024', '1122.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

COMMIT WORK;



-- END Aggiornamento dettaglio 411



-- Fix dettaglio 143

---- Richiesto telefonicamente da Studio Corsini

UPDATE CONTRATTOCOEFFICIENTE SET MENSILITA1000 = '14000' WHERE IDCONTRATTODETTAGLIO = '143' AND IDCOEFFICIENTE = '1';

COMMIT WORK; -- skip error





-- Begin fixbug



-- Correzione Addiz Com. Palermo

UPDATE IRPEF_ADDIZIONALECOMUNALE SET ALIQUOTA = '0.00938' WHERE CODCATASTALE = 'G273' AND ANNO = '2023' AND APPLICAZIONEDA = '0' AND APPLICAZIONEA IS NULL;



-- Contratto ccnl 37 (Polistena)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('37', 'A', '5', '01.11.2023', '1585.870000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '31.12.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('37', 'B', '5', '01.11.2023', '1713.050000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '31.12.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('37', 'C', '5', '01.11.2023', '1898.550000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '31.12.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('37', 'D', '5', '01.11.2023', '2115.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '31.12.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('37', 'E', '5', '01.11.2023', '2278.680000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '31.12.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('37', 'F', '5', '01.11.2023', '2524.890000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '31.12.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('37', 'G', '5', '01.11.2023', '2777.200000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '31.12.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('37', 'H', '5', '01.11.2023', '2956.460000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '31.12.2023');





-- ISTAT FOI (see https://www.avvocatoandreani.it/servizi/valore-ultimo-indice-istat.php)

INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2023', '11', '118.700000', '2015');

COMMIT WORK; -- skip error

INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2023', '12', '118.900000', '2015');

COMMIT WORK; -- skip error







-- End fixbug





-- Fix PK in LAVDOMESTICOINDENNITA



UPDATE LAVDOMESTICOINDENNITA SET Dal = '01.01.1900' WHERE Dal IS NULL;

UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = '1' WHERE RDB$FIELD_NAME = 'DAL' AND RDB$RELATION_NAME = 'LAVDOMESTICOINDENNITA';

COMMIT WORK;

ALTER TABLE LAVDOMESTICOINDENNITA DROP CONSTRAINT pk_LavDomesticoIndennita;

ALTER TABLE LAVDOMESTICOINDENNITA add constraint pk_LavDomesticoIndennita primary key (IdIndennita, Dal);

COMMIT WORK;



-- Aggiornamento contratti lavoro domestico



---- Conviventi



------ Dettaglio 92 (tabella A)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'DS', '5', '01.01.2024', '1392.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'D', '5', '01.01.2024', '1325.920000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'CS', '5', '01.01.2024', '1127.040000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'C', '5', '01.01.2024', '1060.760000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'BS', '5', '01.01.2024', '994.440000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'B', '5', '01.01.2024', '928.150000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'AS', '5', '01.01.2024', '861.860000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'A', '5', '01.01.2024', '792.250000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'DS', '14', '01.01.2024', '196.070000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('92', 'D', '14', '01.01.2024', '196.070000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');



------ Dettaglio 107 (tabella A)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'DS', '5', '01.01.2024', '1392.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'D', '5', '01.01.2024', '1325.920000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'CS', '5', '01.01.2024', '1127.040000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'C', '5', '01.01.2024', '1060.760000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'BS', '5', '01.01.2024', '994.440000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'B', '5', '01.01.2024', '928.150000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'AS', '5', '01.01.2024', '861.860000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'A', '5', '01.01.2024', '792.250000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'DS', '14', '01.01.2024', '196.070000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('107', 'D', '14', '01.01.2024', '196.070000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');



---- END Conviventi





------ Dettaglio 109 (non conviventi importi orari) (tabella C)



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'DS', '5', '01.01.2024', '9.41', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'D', '5', '01.01.2024', '9.03', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'CS', '5', '01.01.2024', '7.83', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'C', '5', '01.01.2024', '7.42', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'BS', '5', '01.01.2024', '7.03', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'B', '5', '01.01.2024', '6.62', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'AS', '5', '01.01.2024', '6.24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'A', '5', '01.01.2024', '5.30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');



---- END Non conviventi



------ Dettaglio 110 (assistenza notturna) (tabella D)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('110', 'CS', '5', '01.01.2024', '1296.090000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('110', 'BS', '5', '01.01.2024', '1143.600000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('110', 'DS', '5', '01.01.2024', '1601.090000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');



------ Dettaglio 111 (livello unico) (tabella E)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('111', 'Unico', '5', '01.01.2024', '765.710000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');



------ Dettaglio 108 (art 14 c2)  (tabella B)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('108', 'B', '5', '01.01.2024', '662.960000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('108', 'BS', '5', '01.01.2024', '696.130000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('108', 'C', '5', '01.01.2024', '769.02', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');



------ Dettaglio 170 (art 14 c9)  (tabella G)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('170', 'CS', '5', '01.01.2024', '8.41', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('170', 'DS', '5', '01.01.2024', '10.15', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.01.2024');





-- END Aggiornamento contratti lavoro domestico





-- Indennità



INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('1', '01.01.2024', NULL, '1', 'BS', NULL, '6.52', NULL); -- tabella F

INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('2', '01.01.2024', NULL, '2', 'BS', NULL, '4.56', NULL); -- tabella F (€ 2,28 a pasto)



INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('3', '01.01.2024', NULL, '3', 'CS', '0.66', NULL, '112.97'); -- tabella I

INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('4', '01.01.2024', NULL, '3', 'DS', '0.66', NULL, '112.97'); -- tabella I



INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('5', '01.01.2024', NULL, '4', 'B', NULL, NULL, '9.04'); -- tabella L

INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('6', '01.01.2024', NULL, '4', 'BS', NULL, NULL, '11.30'); -- tabella L

INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('7', '01.01.2024', NULL, '4', 'CS', NULL, NULL, '11.30'); -- tabella L



INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('8', '01.01.2024', NULL, '5', 'BS', '0.79', NULL, '130.78'); -- tabella H

INSERT INTO LAVDOMESTICOINDENNITA (IDINDENNITA, DAL, AL, IDTIPOINDENNITA, LIVELLO, ORA, GIORNO, MESE) VALUES ('9', '01.01.2024', NULL, '5', 'Convivenza ad orario ridotto', '0.79', NULL, '91.63');  -- tabella H



COMMIT WORK;



-- Aggiornamento Uniemens 4.22.1 del 22/12/2023



-- Inseriti nuovi codici MA, PI in <TipoLavoratore>  



INSERT INTO INPS_TIPOLAVORATORE (IDINPSTIPOLAVORATORE, DESCRIZIONE, FONDOSPECIALE, DATASCADENZA) VALUES ('MA', 'Magistrato onorario che ha optato per il regime esclusivo (solo ctr IVS 33% al FPLD). Circolare n. 100/2023.', '1', NULL);

INSERT INTO INPS_TIPOLAVORATORE (IDINPSTIPOLAVORATORE, DESCRIZIONE, FONDOSPECIALE, DATASCADENZA) VALUES ('PI', 'Lavoratore portuale a tempo indeterminato beneficiario di IMA. Circolare n. 101/2023.', '1', NULL);

COMMIT WORK;



-- Aggiornata descrizione codice TA1 in

UPDATE INPS_EVENTO SET DESCRIZIONE = 'Giorni\Ore di permesso mensili (disciplinati dall’art. 33, comma 6, della legge n.104/1992) fruiti dal lavoratore con disabilità grave. Circolare n.39/2023.' WHERE IDINPSEVENTO = 'TA1';

COMMIT WORK;



-- Aggiornata descrizione codici L053, L054, L055, L056, L057, L058, L070, L071 



UPDATE DR_CAUSALERECMAT SET DESCRIZIONE = 'Indenn. Maternità facolt. (famil.di handicap). Utilizzabile fino alla competenza di maggio 2023.' WHERE IDCAUSALERECMAT = 'L053';

UPDATE DR_CAUSALERECMAT SET DESCRIZIONE = 'Indenn.permessi giornalieri (famil.di handicap.comma 2). Utilizzabile fino alla competenza di maggio 2023.' WHERE IDCAUSALERECMAT = 'L054';

UPDATE DR_CAUSALERECMAT SET DESCRIZIONE = 'Differenza indennità maternità facoltativa. Utilizzabile fino alla competenza di ottobre 2023.' WHERE IDCAUSALERECMAT = 'L055';

UPDATE DR_CAUSALERECMAT SET DESCRIZIONE = 'Indennità permessi (famil.di handicap.comma 3). Utilizzabile fino alla competenza di maggio 2023.' WHERE IDCAUSALERECMAT = 'L056';

UPDATE DR_CAUSALERECMAT SET DESCRIZIONE = 'Indennità permessi (lav.con handicap.comma 6). Utilizzabile fino alla competenza di maggio 2023.' WHERE IDCAUSALERECMAT = 'L057';

UPDATE DR_CAUSALERECMAT SET DESCRIZIONE = 'Indenn. permessi giornalieri (lav. Con handicap comma 6). Utilizzabile fino alla competenza di maggio 2023.' WHERE IDCAUSALERECMAT = 'L058';

UPDATE DR_CAUSALERECMAT SET DESCRIZIONE = 'Congedo parentale art. 42, c. 5 del D.Lgs 151/2001. Utilizzabile fino alla competenza di maggio 2023.' WHERE IDCAUSALERECMAT = 'L070';

UPDATE DR_CAUSALERECMAT SET DESCRIZIONE = 'Congedo parentale art. 42, c. 5 del D.Lgs 151/2001 (arretrati). Utilizzabile fino alla competenza di maggio 2023.' WHERE IDCAUSALERECMAT = 'L071';

COMMIT WORK;



-- Aggiornata descrizione codici M070, E776 in <CausaleVersMat> di <MatADebito>  

 

UPDATE DR_CAUSALEVERSMAT SET DESCRIZIONE = 'Rec.indennità erogata ex art. 80 L.388/2000. Utilizzabile fino alla competenze di maggio 2023.' WHERE IDCAUSALEVERSMAT = 'M070';

UPDATE DR_CAUSALEVERSMAT SET DESCRIZIONE = 'Restituzione indennità maternità indebita. Utilizzabile fino alla competenza di ottobre 2023.' WHERE IDCAUSALEVERSMAT = 'E776';

COMMIT WORK;



-- Inserito codice L144 in CONGCIGSALTCAUS

INSERT INTO CONGCIGSALTCAUS (IDCAUSALE, DESCRIZIONE) VALUES ('L144', 'Conguaglio ulteriori settimane CIGS Art. 12-quater DL 10 agosto 2023, n. 104. Messaggio n. 4272/2023.');

COMMIT WORK;



-- Inserito codice E613 in <CongCIGSCausAdd> 

INSERT INTO CONGCIGSCAUSADD (IDCAUSALE, DESCRIZIONE) VALUES ('E613', 'Ctr. addizionale CIG straordinaria Art. 12-quater DL 10 agosto 2023, n. 104. Messaggio n. 4272/2023.');

COMMIT WORK;



-- Inserito codice M1 in <TipoRapporto>

INSERT INTO INPS_TIPORAPPORTO (IDINPSTIPORAPPORTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA) VALUES ('M1', 'Magistrati onorari confermati e non esclusivi – art. 15 bis commi 3 e 5, D.L. 22 giugno 2023, n. 75. Circolare n. 100/2023.', 'Magistrati onorari', NULL);

COMMIT WORK;



-- Fix errori precedenti 

UPDATE INPS_TIPORAPPORTO SET DESCRIZIONE2 = 'Co.co.co' WHERE IDINPSTIPORAPPORTO IN ('18','D1','D2','D3','D4','D5','D6');

UPDATE INPS_TIPORAPPORTO SET DESCRIZIONE2 = 'Attività dip. PA' WHERE IDINPSTIPORAPPORTO IN ('D7');

COMMIT WORK;



-- Inserito codice 31 in <CodiceAttivita>  

INSERT INTO INPS_ATTIVITA (IDINPSATTIVITA, DESCRIZIONE, DATASCADENZA) VALUES ('31', 'Iscritto Cassa Forense. Circolare n. 100/2023.', NULL);

COMMIT WORK;



-- Fondi Prev Compl. in <PosContributiva>: inseriti codici 5103, 5104 in

 

INSERT INTO ALBOCOVIP (IDFORMAPREVCOMPL, DESCRIZIONE, DESCRIZIONE2) VALUES ('5103', 'ATHORA FUTURO PREVIDENZA', NULL);

INSERT INTO ALBOCOVIP (IDFORMAPREVCOMPL, DESCRIZIONE, DESCRIZIONE2) VALUES ('5104', 'PENSIONE FUTURA', NULL);

COMMIT WORK;



-- Lavoratori agricoli <DenunciaAgriIndividuale>: inseriti codici 122, 123, 124, 125, 126, 127 in <CodiceContratto>



INSERT INTO DMAG_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE) VALUES ('122', 'Persone disoccupate ai sensi dell’articolo 19 del decreto legislativo 14 settembre 2015, n. 150, ossia i soggetti privi di impiego che hanno dichiarato in forma telematica al sistema informativo unitario delle politiche del lavoro la propria immediata disponibilità allo svolgimento di attività lavorativa e alla partecipazione alle misure di politica attiva del lavoro concordate con il centro per l''impiego. Utilizzabile a seguito di pubblicazione di relativo messaggio o circolare.');

INSERT INTO DMAG_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE) VALUES ('123', 'Percettori di NASPI, DIS-COLL, mobilità in deroga, Reddito di cittadinanza e Assegno di inclusione. Utilizzabile a seguito di pubblicazione di relativo messaggio o circolare.');

INSERT INTO DMAG_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE) VALUES ('124', 'Beneficiari di ammortizzatori sociali in costanza di rapporto di lavoro nei casi di riduzione o sospensione dell’attività lavorativa per cause previste dalla normativa in materia di integrazione salariale ordinaria e straordinaria (CIGS, CIGO, assegni di integrazione salariale erogati dai Fondi di solidarietà bilaterali o dal Fondo di integrazione salariale) e indennità straordinaria di continuità reddituale e operativa (ISCRO). Utilizzabile a seguito di pubblicazione di relativo messaggio o circolare.');

INSERT INTO DMAG_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE) VALUES ('125', 'Titolari di pensione di vecchiaia, anzianità o anticipata, erogate da un Ente previdenziale pubblico o comunque da Enti gestori di forme obbligatorie di previdenza e assistenza di cui al decreto legislativo 30 giugno 1994, n. 509, e al decreto legislativo 10 febbraio 1996, n. 103. Non possono quindi accedere a tale tipologia di lavoro i titolari di pensioni ai superstiti, di inabilità e di assegni ordinari di invalidità di 358 di 364 cui alla legge 12 giugno 1984, n. 222, o di analoghe prestazioni. Utilizzabile a seguito di pubblicazione di relativo messaggio o circolare.');

INSERT INTO DMAG_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE) VALUES ('126', 'Giovani con meno di venticinque anni di età, se regolarmente iscritti a un ciclo di studi presso un istituto scolastico di qualsiasi ordine e grado, compatibilmente con gli impegni scolastici, ovvero in qualunque periodo dell''anno se regolarmente iscritti a un ciclo di studi presso un''università, che non siano titolari di pensioni ai superstiti, di inabilità e di assegni ordinari di invalidità di cui alla legge n. 222/1984 o di analoghe prestazioni. Utilizzabile a seguito di pubblicazione di relativo messaggio o circolare.');

INSERT INTO DMAG_TIPOCONTRATTO (IDTIPOCONTRATTO, DESCRIZIONE) VALUES ('127', 'Detenuti o internati ammessi al lavoro all''esterno ai sensi dell''articolo 21 della legge 26 luglio 1975, n. 354, nonché soggetti in semilibertà provenienti dalla detenzione o internati in semilibertà. Utilizzabile a seguito di pubblicazione di relativo messaggio o circolare.');

COMMIT WORK;



-- END UNIEMENS – vers. 4.22.1 del 22/12/2023 

 

-- Aliquote lav domestico 2024

/*

INSERT INTO INPS_ALIQUOTALAVDOMESTICO (RETRIBDOMDA, IDTIPOCONTRIBDOM, TEMPODETERMINATO, ANNO, RETRIBDOMA, RETRIBCONV, CUAF, NOCUAF, CUAFLAV, NOCUAFLAV, DESCRIZIONE) VALUES ('0', '1', '0', '2024', NULL, '10.860000', '1.580000', '1.590000', '0.400000', '0.400000', 'Fino a 24 ore settimanali');

INSERT INTO INPS_ALIQUOTALAVDOMESTICO (RETRIBDOMDA, IDTIPOCONTRIBDOM, TEMPODETERMINATO, ANNO, RETRIBDOMA, RETRIBCONV, CUAF, NOCUAF, CUAFLAV, NOCUAFLAV, DESCRIZIONE) VALUES ('0', '1', '1', '2024', NULL, '10.860000', '1.690000', '1.700000', '0.400000', '0.400000', 'Fino a 24 ore settimanali');

INSERT INTO INPS_ALIQUOTALAVDOMESTICO (RETRIBDOMDA, IDTIPOCONTRIBDOM, TEMPODETERMINATO, ANNO, RETRIBDOMA, RETRIBCONV, CUAF, NOCUAF, CUAFLAV, NOCUAFLAV, DESCRIZIONE) VALUES ('8.921', '1', '0', '2024', NULL, '10.860000', '1.780000', '1.790000', '0.450000', '0.450000', 'Fino a 24 ore settimanali');

INSERT INTO INPS_ALIQUOTALAVDOMESTICO (RETRIBDOMDA, IDTIPOCONTRIBDOM, TEMPODETERMINATO, ANNO, RETRIBDOMA, RETRIBCONV, CUAF, NOCUAF, CUAFLAV, NOCUAFLAV, DESCRIZIONE) VALUES ('8.921', '1', '1', '2024', NULL, '10.860000', '1.910000', '1.920000', '0.450000', '0.450000', 'Fino a 24 ore settimanali');

INSERT INTO INPS_ALIQUOTALAVDOMESTICO (RETRIBDOMDA, IDTIPOCONTRIBDOM, TEMPODETERMINATO, ANNO, RETRIBDOMA, RETRIBCONV, CUAF, NOCUAF, CUAFLAV, NOCUAFLAV, DESCRIZIONE) VALUES ('10.861000', '1', '0', '2024', NULL, '10.860000', '2.170000', '2.180000', '0.550000', '0.550000', 'Fino a 24 ore settimanali');

INSERT INTO INPS_ALIQUOTALAVDOMESTICO (RETRIBDOMDA, IDTIPOCONTRIBDOM, TEMPODETERMINATO, ANNO, RETRIBDOMA, RETRIBCONV, CUAF, NOCUAF, CUAFLAV, NOCUAFLAV, DESCRIZIONE) VALUES ('10.861000', '1', '1', '2024', NULL, '10.860000', '2.320000', '2.330000', '0.550000', '0.550000', 'Fino a 24 ore settimanali');

INSERT INTO INPS_ALIQUOTALAVDOMESTICO (RETRIBDOMDA, IDTIPOCONTRIBDOM, TEMPODETERMINATO, ANNO, RETRIBDOMA, RETRIBCONV, CUAF, NOCUAF, CUAFLAV, NOCUAFLAV, DESCRIZIONE) VALUES ('0', '2', '0', '2024', NULL, '10.860000', '1.150000', '1.160000', '0.290000', '0.290000', 'Orario superiore a 24 ore settimanali');

INSERT INTO INPS_ALIQUOTALAVDOMESTICO (RETRIBDOMDA, IDTIPOCONTRIBDOM, TEMPODETERMINATO, ANNO, RETRIBDOMA, RETRIBCONV, CUAF, NOCUAF, CUAFLAV, NOCUAFLAV, DESCRIZIONE) VALUES ('0', '2', '1', '2024', NULL, '10.860000', '1.230000', '1.240000', '0.290000', '0.290000', 'Orario superiore a 24 ore settimanali');

*/





-- TODO: Per il lavoro domestico, cancellare dettaglio 122 e poi 92 o 107 (uno solo dei due !)



COMMIT WORK;



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS